POST
/
v1
/
wallet
/
hd
/
generate
Generate wallets
curl --request POST \
  --url https://api.withconvexity.com/v1/wallet/hd/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chainType": "EVM",
  "count": 2,
  "purpose": "deposit",
  "startIndex": 0
}
'
{
  "status": true,
  "message": "Wallets generated successfully",
  "data": [
    {
      "address": "0x3A1cF4e2B8D9a7C6e5F4b3A2c1D0e9F8a7B6c5D4",
      "chainType": "EVM",
      "isActive": true,
      "addressIndex": 0
    },
    {
      "address": "0x7C2dE5f3A9b8C7d6E5f4B3a2C1d0E9f8A7b6C5d3",
      "chainType": "EVM",
      "isActive": true,
      "addressIndex": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 access token from Auth-Edge.

Body

application/json
chainType
enum<string>
required
Available options:
EVM,
SOLANA
count
integer
required

Number of addresses to derive.

purpose
string

Logical tag for the addresses (e.g. deposit).

startIndex
integer

Address index to start deriving from.

Response

OK

The response is of type object.